Ogre::HardwareIndexBufferSharedPtr Class Reference
RenderSystem

Shared pointer implementation used to share index buffers. More...

`#include <OgreHardwareIndexBuffer.h>`

Inheritance diagram for Ogre::HardwareIndexBufferSharedPtr:
[legend]

List of all members.

## Public Member Functions

| HardwareIndexBufferSharedPtr ()
| HardwareIndexBufferSharedPtr (HardwareIndexBuffer *buf)
HardwareIndexBuffer & | operator* () const
HardwareIndexBuffer * | operator-> () const
HardwareIndexBuffer * | get () const
void | bind (HardwareIndexBuffer *rep, SharedPtrFreeMethod inFreeMethod=SPFM_DELETE)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
HardwareIndexBuffer * | getPointer () const
SharedPtrFreeMethod | freeMethod () const
bool | isNull (void) const
void | setNull (void)

## Protected Member Functions

void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< HardwareIndexBuffer > &other)

## Protected Attributes

HardwareIndexBuffer * | pRep
unsigned int * | pUseCount
SharedPtrFreeMethod | useFreeMethod

## Detailed Description

Shared pointer implementation used to share index buffers.

Definition at line 79 of file OgreHardwareIndexBuffer.h.

## Constructor & Destructor Documentation

Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr | ( |  | ) |

Definition at line 82 of file OgreHardwareIndexBuffer.h.

Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr | ( | HardwareIndexBuffer * | buf | ) | `[explicit]`

## Member Function Documentation

void Ogre::SharedPtr< HardwareIndexBuffer >::bind | ( | HardwareIndexBuffer * | rep,
|  | SharedPtrFreeMethod | inFreeMethod = `SPFM_DELETE`
| ) |  | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 167 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareIndexBuffer >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

Definition at line 223 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< HardwareIndexBuffer >::freeMethod | ( |  | ) | const`[inherited]`

Definition at line 181 of file OgreSharedPtr.h.

HardwareIndexBuffer * Ogre::SharedPtr< HardwareIndexBuffer >::get | ( | void |  | ) | const`[inherited]`

Definition at line 161 of file OgreSharedPtr.h.

HardwareIndexBuffer * Ogre::SharedPtr< HardwareIndexBuffer >::getPointer | ( |  | ) | const`[inherited]`

Definition at line 180 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareIndexBuffer >::isNull | ( | void |  | ) | const`[inherited]`

Definition at line 183 of file OgreSharedPtr.h.

HardwareIndexBuffer & Ogre::SharedPtr< HardwareIndexBuffer >::operator* | ( |  | ) | const`[inherited]`

Definition at line 159 of file OgreSharedPtr.h.

HardwareIndexBuffer * Ogre::SharedPtr< HardwareIndexBuffer >::operator-> | ( |  | ) | const`[inherited]`

Definition at line 160 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareIndexBuffer >::release | ( | void |  | ) | `[protected, inherited]`

Definition at line 197 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareIndexBuffer >::setNull | ( | void |  | ) | `[inherited]`

Definition at line 185 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareIndexBuffer >::swap | ( | SharedPtr< HardwareIndexBuffer > & | other | ) | `[protected, virtual, inherited]`

Definition at line 247 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareIndexBuffer >::unique | ( |  | ) | const`[inherited]`

Definition at line 176 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< HardwareIndexBuffer >::useCount | ( |  | ) | const`[inherited]`

Definition at line 177 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareIndexBuffer >::useCountPointer | ( |  | ) | const`[inherited]`

Definition at line 178 of file OgreSharedPtr.h.

## Member Data Documentation

HardwareIndexBuffer * Ogre::SharedPtr< HardwareIndexBuffer >::pRep`[protected, inherited]`

Definition at line 63 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareIndexBuffer >::pUseCount`[protected, inherited]`

Definition at line 64 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< HardwareIndexBuffer >::useFreeMethod`[protected, inherited]`

Definition at line 65 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreHardwareIndexBuffer.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:28